# leer el json landsat9_lc\models\label_encoder.json si encuentra 'Ruido' en el json, entonces
# el test no pasa. si no encuentra el archivo tampoco pasa el test.
import json
from landsat9_lc.config import model_config


def test_encoder():
    # Given
    encoder = json.load(open(model_config.path_label_encoder, 'r', encoding=model_config.json_encoding))
    # Then
    assert encoder is not None
    assert isinstance(encoder, dict)
    assert 'Ruido' not in encoder.keys(), "The label encoder should not contain 'Ruido'"

